### Method

# Json Node dup_object

#### Declaration [src]

    JsonObject*
    json_node_dup_object (
      JsonNode* node
    )

#### Description [src]

Retrieves the object inside `node`.

The reference count of the returned object is increased.

It is a programmer error to call this on a node which doesn’t hold an object value. Use `JSON_NODE_HOLDS_OBJECT` first.

#### Return value

Type: `JsonObject`

The JSON object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.